#
# spec file for package mtpfs
#
# Copyright (c) 2011-2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           mtpfs
Version:        1.1
Release:        1.9
License:        GPL-3.0
Summary:        FUSE filesystem that supports MTP devices
Url:            http://www.adebenham.com/mtpfs/
Group:          Productivity/Multimedia/Other
Source0:        http://www.adebenham.com/debian/mtpfs-1.1.tar.gz
# PATCH-FIX-UPSTREAM mtpfs-fix-no-return-in-nonvoid-function.patch malcolmlewis@opensuse.org -- Fix no return in mtpfs.c, see http://code.google.com/p/mtpfs/issues/detail?id=33
Patch0:         mtpfs-fix-no-return-in-nonvoid-function.patch
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libmad-devel
BuildRequires:  libmtp-devel
BuildRequires:  libusb-1_0-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MTPfs is a FUSE filesystem that supports reading and writing from any
MTP device supported by libmtp.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}

%changelog
* Tue Apr 10 2012 malcolmlewis@opensuse.org
- Updated to version 1.1:
  + Support added for Multiple storage areas.
  + Many, many bugfixes.
- Add mtpfs-fix-no-return-in-nonvoid-function.patch: Fix no
  return in mtpfs.c,
  see http://code.google.com/p/mtpfs/issues/detail?id=33.
* Sat Sep 17 2011 malcolmlewis@opensuse.org
- Updated to version 1.0
- Drop mtpfs-fix-bufferoverflowstrncat-and-stringcompare
  - errors.patch as code has now been fixed.
* Fri Sep  9 2011 malcolmlewis@opensuse.org
- Initial build
- Add patch to fix brp strcpm and strncat errors mtpfs-fix-
  bufferoverflowstrncat-and-stringcompare-errors.patch.
